> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Regenerates an auth token or client secret for a user and returns the new plaintext value.

> Regenerates an auth token or client secret for a user and returns the new plaintext value.



## OpenAPI

````yaml 26.4/self-hosted/en/api-reference/openapi.json POST /refreshAPICredential
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /refreshAPICredential:
    post:
      tags:
        - refreshAPICredential
      summary: >-
        Regenerates an auth token or client secret for a user and returns the
        new plaintext value.
      description: >-
        Regenerates an auth token or client secret for a user and returns the
        new plaintext value.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/refreshAPICredential_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/refreshAPICredential_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    refreshAPICredential_input:
      type: object
      required:
        - User
        - CredentialType
      properties:
        User:
          type: string
          description: The username to regenerate the credential for.
        CredentialType:
          type: string
          description: 'The credential to regenerate: ''authtoken'' or ''clientsecret''.'
    refreshAPICredential_output:
      type: array
      items:
        type: object
        properties:
          User:
            type: string
            description: The username the credential was regenerated for.
          CredentialType:
            type: string
            description: The credential that was regenerated.
          Value:
            type: string
            description: The new plaintext credential. Only returned at generation time.
          ExpiresAt:
            type: string
            description: The expiration timestamp, or null if it never expires.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.